commit 3648ba12ecf8707c54b6c48ed2826a53c1e5f887
parent d0f66380de4e23ed1fdbe2b5ca9da9365569ab97
Author: Andrew Laack <andrew@laack.co>
Date: Fri, 6 Mar 2026 14:13:21 -0600
Added work vm, made changes to dev containerfile, updated installation and ssh targets
Diffstat:
5 files changed, 34 insertions(+), 5 deletions(-)
diff --git a/container/development/Containerfile b/container/development/Containerfile
@@ -1,3 +1,2 @@
FROM archlinux:latest
-
-RUN yes | pacman -Syu opencode git gcc make tmux python uv
+RUN yes | pacman -Syu opencode git gcc make python uv neovim
diff --git a/dev-container.sh b/dev-container.sh
@@ -1,7 +1,12 @@
#!/bin/bash
+set -o pipefail
+
podman build ~/bin/container/development -t development-container
podman run --rm -it \
- -v $(pwd):/app \
+ --env-host \
+ --mount type=bind,source=$(pwd),destination=/app \
+ --mount type=bind,source="${HOME}/.config",destination=/root/.config \
+ --workdir /app \
development-container bash
diff --git a/installers/arch-public-installation.sh b/installers/arch-public-installation.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Full arch installer (publicly accessible resources only)
-sudo pacman -S git gcc make xorg-server libxft libxinerama freetype2 pkgconf ttf-fira-code zoxide fzf openssh less arandr dmenu pass pass-otp xclip newsboat xorg-xsetroot base-devel i3lock pandoc entr ripgrep wget jq man-db btop tmux rsync cronie mpv podman pavucontrol otf-latinmodern kwallet proton-vpn-gtk-app proton-vpn-cli tk brightnessctl zip unzip signal-desktop xorg-xset lynx figlet flameshot feh asciinema ffmpeg zathura-pdf-mupdf websocat xhost-xorg
+sudo pacman -S git gcc make xorg-server libxft libxinerama freetype2 pkgconf ttf-fira-code zoxide fzf openssh less arandr dmenu pass pass-otp xclip newsboat xorg-xsetroot base-devel i3lock pandoc entr ripgrep wget jq man-db btop tmux rsync cronie mpv podman pavucontrol otf-latinmodern kwallet proton-vpn-gtk-app proton-vpn-cli tk brightnessctl zip unzip signal-desktop xorg-xset lynx figlet flameshot feh ffmpeg zathura-pdf-mupdf websocat xhost-xorg yt-dlp qemu-full qbittorrent
# xhost-xorg for containers to use my x server
diff --git a/resources/ssh-options.txt b/resources/ssh-options.txt
@@ -2,4 +2,5 @@ andrew@brgr
andrew@deepthought
andrew@arch
andrewlaack@Andrews-MacBook-Pro.local
-root@vps
+root@laack.co
+ubuntu@dev4-host.imbue.com
diff --git a/vm-manager.sh b/vm-manager.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+OPTIONS=$(find ~/vms -mindepth 1 -maxdepth 1 -type f)
+
+if [ $# -eq 0 ]; then
+ SELECTION=$(echo "$OPTIONS" | fzf)
+else
+ background=$1
+ foreground=$2
+ highlight=$3
+
+ prompt="VM:"
+
+ dmenu_cmd="dmenu -l 15 -i -nb \"$background\" -nf \"$foreground\" -sb \"$highlight\" -sf \"$foreground\" -p \"$prompt\""
+ SELECTION=$(echo "$OPTIONS" | eval "$dmenu_cmd")
+fi
+
+if [[ -n "$SELECTION" ]]; then
+ qemu-system-x86_64 "$SELECTION" \
+ -cpu host \
+ -enable-kvm \
+ -smp 4 \
+ -m 8G
+fi